<?php

namespace JFalke\Repositories;


use JFalke\Features\SearchBrands\SearchBrandsRequest;
use JFalke\Models\Brand;

interface BrandRepository
{
    public function getBrands(SearchBrandsRequest $request): ?array;

    public function getAllBrands(): ?array;

    public function isToutes(SearchBrandsRequest $request): bool;
}
